Subject: Re: bug#16901: 24.3.50; emacs_backtrace.txt

From: Juanma Barranquero <[email-masked]>
Date: Mon, 3 Mar 2014 18:28:03 +0100

On Mon, Mar 3, 2014 at 5:54 PM, Eli Zaretskii <[email-masked]> wrote:

> The result survived a full bootstrap, where the original code couldn't
> even get past loading the *.el files into bootstrap-emacs during the
> initial build of the trunk, and of course the crasher with HELLO
> reported by Juanma no longer does.

I'm bootstrapping trunk now with #define GC_MCHECK (I add it directly
to gmalloc.c instead of going the configure route because it is easier
to turn it off later ;-)

If everything goes fine, I'll build a GC_MCHECK snapshot for Drew.

> When I see such bugs in such veteran code, I usually question
> my own sanity.

I would question how much that code has been used (for the bug in
GC_MCHECK code); as for the other, it surely has been giving us grief
for years, but not in a consistent enough way. Until now.

    J